bsod = { timer=0 }

function bsod:update(dt)
    self.timer = self.timer - dt*100
end

function bsod:exitkey(key)
    if key == " " then
        if system.Recoverable == false then
            love.event.quit()
        else
            system.CriticalErrorCheck = true
            system.ErrorMessage = nil
            love.graphics.setFont(fonts.Default)
            love.audio.resume()
        end
    end
end

function bsod:screen(msg)
    local name = "IV-DOS"
    local str = msg or "This is a test."
    local font = fonts.Console
    local w, h = love.window.getDimensions()
    local canvas = love.graphics.newCanvas(w, h)
    
    love.graphics.setCanvas(canvas)
    canvas:clear()
    love.graphics.setColor(0, 0, 150, 255)
    love.graphics.rectangle('fill', 0, 0, w, h)
    love.graphics.reset()
    
    love.graphics.setFont(font)
    love.graphics.draw(canvas)
    love.graphics.setColor(255, 255, 255, 255)
    love.graphics.rectangle('fill', w/2.7, 50, 160, 20)
    --love.graphics.setColor(0, 0, 150, 255)
    if self.timer <= 0 then
        self.timer = 150
    elseif self.timer <= 50 then
        love.graphics.setColor(255, 255, 255, 255)
    else
        love.graphics.setColor(0, 0, 150, 255)
    end
    --string.len(name)*12
    love.graphics.printf(name, w/2.7, 53, 160, "center")
    love.graphics.setColor(255, 255, 255, 255)
    love.graphics.printf(str, w/12, 100, w/1.300, "center")
    love.graphics.printf("Press space to continue _",w/7.4, h/1.500, w/1.500, "center")
    love.graphics.setCanvas()
end
